Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1136902 - [engine-backend] [importDomain] VM creation out of an imported template is blocked in CDA
Summary: [engine-backend] [importDomain] VM creation out of an imported template is bl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.1
Assignee: Maor
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: 716511 1169511 1193195
TreeView+ depends on / blocked
 
Reported: 2014-09-03 14:45 UTC by Elad
Modified: 2016-02-10 19:37 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.5.1_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1169511 (view as bug list)
Environment:
Last Closed: 2015-01-21 16:01:54 UTC
oVirt Team: Storage


Attachments (Terms of Use)
engine.log (deleted)
2014-09-03 14:45 UTC, Elad
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34734 master MERGED core: Add Video managed device for VM's/Template's OVF. Never
oVirt gerrit 35448 ovirt-engine-3.5 MERGED core: Add Video managed device for VM's/Template's OVF. Never

Description Elad 2014-09-03 14:45:22 UTC
Created attachment 934118 [details]
engine.log

Description of problem:
Import to a template from an existing imported storage domain which was detached from 1 DC and then attached to another DC and then creating a VM out of it is blocked in CanDoAction. The CDA message is unclear and irrelevant to the operation.

Version-Release number of selected component (if applicable):
ovirt-3.5 RC1.1 
ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch

How reproducible:
Always

Steps to Reproduce:
On 2 DCs setup:
1. Create 2 storage domains on the same DC. Create a VM with disks on one of them and then create a template out of it
2. Detach the domain from the first DC and attach it to the second DC 
3. Import the template and try to create a VM out of it

Actual results:
Operation is blocked with:

2014-09-03 17:27:00,585 WARN  [org.ovirt.engine.core.bll.AddVmFromTemplateCommand] (ajp--127.0.0.1-8702-1) [4dcadda1] CanDoAction of action AddVmFromTemplate failed. Reasons:VAR__ACTION__ADD,VAR__TYPE__VM,VALIDATI
ON.VM.NUM_OF_MONITORS.EXCEEDED


Expected results:
1) Creating a VM out of a template that was imported from an imported storage domain should succeed
2) If there is a limitation for creating aVM out of this template, the CDA message should be relevant.

Additional info: engine.log

Comment 1 Maor 2014-09-18 10:51:52 UTC
Exporting a Template to an Export Domain also export the template with num_of_monitors=0.
We should also encounter this bug when importing a Template from an Export Domain.

Comment 2 Allon Mureinik 2014-10-28 06:04:08 UTC
(In reply to Maor from comment #1)
> Exporting a Template to an Export Domain also export the template with
> num_of_monitors=0.
> We should also encounter this bug when importing a Template from an Export
> Domain.

Flagging as a Regression based on this.

Comment 3 Sven Kieske 2014-10-28 09:08:57 UTC
So this should be a blocker for 3.5.1 release and should get added to the tracker bug.

Comment 4 Maor 2014-10-30 14:43:37 UTC
I have verified this with Arik, it seems that the bug does not reproduce with import a Template from an export domain, still verifying the scenario of register a Template through an imported Data Storage Domain.
For now I've moved this bug back to Storage and removed the regression keyword.

Comment 5 Sandro Bonazzola 2015-01-15 14:14:31 UTC
This is an automated message: 
This bug should be fixed in oVirt 3.5.1 RC1, moving to QA

Comment 6 Elad 2015-01-19 08:35:56 UTC
VM creation out of a template which was registered from an imported domain is now allowed and succeeds.

Verified using rhev 3.5 vt13.7

Comment 7 Sandro Bonazzola 2015-01-21 16:01:54 UTC
oVirt 3.5.1 has been released. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.